### File

`packages/components/eui-label/eui-label.component.ts`

### Description

A versatile label component that can be used as a standard label, sublabel, or other text elements. Supports various states, sizes, and appearance modifications through host directives.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSecondary euiSuccess euiInfo euiWarning euiDanger euiVariant euiSizeS euiSizeM euiSizeL euiSizeVariant euiDisabled
selector | `label[euiLabel], span[euiLabel], div[euiLabel], a[euiLabel], eui-label, label[euiSublabel], span[euiSublabel], div[euiSublabel], a[euiSublabel], eui-sublabel`
template |
    <ng-content/>
styleUrl | `./eui-label.scss`

### Index

###### Properties
baseStatesDirective
###### Inputs
euiReadonly euiRequired euiSublabel
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

euiReadonly
Type : `boolean`
Default value : `false`

euiRequired
Type : `boolean`
Default value : `false`

euiSublabel
Type : `boolean`
Default value : `false`

### HostBindings

class
Type : `string`

### Properties

baseStatesDirective
Default value : `inject(BaseStatesDirective)`

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the label component based on its current state. Combines base states, required status, readonly status, and sublabel type. Returns : `string`

# results matching ""

# No results matching ""